Dry run a package policy upgrade
- Base URL
-
https://{kibana_url}
- POST /api/fleet/package_policies/upgrade/dryrun
- POST /s/{space_id}/api/fleet/package_policies/upgrade/dryrun
Preview the changes that would be applied by upgrading a package policy to a newer package version.
Required privileges
- Privileges fleet-agent-policies-read and integrations-read
Path parameters
-
space_idstringoptional -
An identifier for the space. If
space_idis not provided in the URL, the default space is used. Refer to Spaces for more information.
Responses
Successful response
<array>object[] · max items: 10000-
diffunion anyOf[] · max items: 2 - Any of:
-
additional_datastreams_permissionsstring[] · max items: 1000nullable -
Additional data stream permissions that will be added to the agent policy.
-
cloud_connector_namestring · min length: 1 · max length: 255nullable -
Transient field for cloud connector name during creation.
-
conditionstring · max length: 10000nullable -
Agent condition expression to evaluate whether to apply this integration to its inputs.
-
inputsunion anyOfrequired -
Package policy inputs.
- Any of:
-
<string>object -
conditionstring · max length: 10000nullable -
Agent condition expression to evaluate whether to apply this input.
-
streamsmap string to object -
Input streams. Refer to the integration documentation to know which streams are available.
-
namespacestring · max length: 100 -
The package policy namespace. Leave blank to inherit the agent policy's namespace.
-
onboarding_deployment_idstring · max length: 256nullable The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Experimental This functionality is experimental and is not ready for production usage. Experimental features may change or be removed at any time. Elastic will work to fix any issues, but experimental features are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes. -
ID of the cloud onboarding instance that manages this package policy. Set by Fleet, read-only.
-
overridesobjectnullable -
Override settings that are defined in the package policy. The override option should be used only in unusual circumstances and not as a routine procedure.
-
policy_idstringnullable deprecated -
ID of the agent policy which the package policy will be added to.
-
supports_agentlessbooleannullable -
Indicates whether the package policy belongs to an agentless agent policy.
-
supports_cloud_connectorbooleannullable -
Indicates whether the package policy supports cloud connectors.
-
var_group_selectionsmap string to string -
Variable group selections. Maps var_group name to the selected option name within that group.
-
<string>string · max length: 1024 -
additional_datastreams_permissionsstring[] · max items: 1000nullable -
Additional data stream permissions that will be added to the agent policy.
-
cloud_connector_namestring · min length: 1 · max length: 255nullable -
Transient field for cloud connector name during creation.
-
conditionstring · max length: 10000nullable -
Agent condition expression to evaluate whether to apply this integration to its inputs.
-
inputsobject[] · max items: 100required -
namespacestring · max length: 100 -
The package policy namespace. Leave blank to inherit the agent policy's namespace.
-
onboarding_deployment_idstring · max length: 256nullable The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Experimental This functionality is experimental and is not ready for production usage. Experimental features may change or be removed at any time. Elastic will work to fix any issues, but experimental features are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes. -
ID of the cloud onboarding instance that manages this package policy. Set by Fleet, read-only.
-
overridesobjectnullable -
Override settings that are defined in the package policy. The override option should be used only in unusual circumstances and not as a routine procedure.
-
packageobject -
Same fields as
packageindry_run_package_policy_response -
policy_idstringnullable deprecated -
ID of the agent policy which the package policy will be added to.
-
supports_agentlessbooleannullable -
Indicates whether the package policy belongs to an agentless agent policy.
-
supports_cloud_connectorbooleannullable -
Indicates whether the package policy supports cloud connectors.
-
var_group_selectionsmap string to string -
Variable group selections. Maps var_group name to the selected option name within that group.
-
<string>string · max length: 1024
{ compiled_input, enabled, streams, … }[]
Package policy inputs. Refer to the integration documentation to know which inputs are available.